using EDPlayerJournal.Entries;

namespace EDPlayerJournal.BGS;

public class IncompleteTransaction : Transaction {
    public Transaction? UnderlyingTransaction { get; set; } = null;
    public string Reason { get; set; } = "";

    public IncompleteTransaction() { }

    public IncompleteTransaction(Transaction? underlying, string reason, Entry entry) {
        UnderlyingTransaction = underlying;
        Reason = reason;
        Entries.Add(entry);
    }
}
